package ru.ulstu.extractor.mvc;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import ru.ulstu.extractor.mvc.model.FilterForm;
import ru.ulstu.extractor.mvc.model.RepoForm;

@Controller
public class GitExtractorController {

    @GetMapping("/newRepo")
    public String indexNewRepo(Model model) {
        model.addAttribute("repoForm", new RepoForm());
        return "newRepo";
    }

    @GetMapping("/filtering")
    public String filter(Model model) {
        model.addAttribute("filterForm", new FilterForm());
        return "filtering";
    }

    @PostMapping("/sendRepo")
    public String sendRepo(@ModelAttribute RepoForm repoForm, Model model) {
        model.addAttribute("filterForm", new FilterForm());
        if (repoForm.getRepo() == null || repoForm.getRepo().isEmpty()) {
            model.addAttribute("error", "'Git' не должно быть пустым");
            return "newRepo";
        }
        return "filtering";
    }

    @PostMapping("/sendFilter")
    public String sendFilter(@ModelAttribute FilterForm filterForm, Model model) {
        if (filterForm.getFilter() == null || filterForm.getFilter().isEmpty()) {
            model.addAttribute("error", "'Строка' не должно быть пустым");
            return "filtering";
        }
        return "resultRepo";
    }
}
